LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDocumentTemplates Interface Referencepublished

provides a high level API to organize document templates More...

`import"XDocumentTemplates.idl";`

Inheritance diagram for XDocumentTemplates:

## Public Member Functions
com::sun::star::ucb::XContent | getContent ()
| provides access to the root of internal used hierarchy More...
boolean | storeTemplate ([in] string GroupName, [in] string TemplateName, [in] XStorable Storable)
| creates the template with the given name in the given group using the data from the storable More...
boolean | addTemplate ([in] string GroupName, [in] string TemplateName, [in] string SourceURL)
| creates the template with the given name in the given group using the given URL More...
boolean | removeTemplate ([in] string GroupName, [in] string TemplateName)
| remove a template from specified group More...
boolean | renameTemplate ([in] string GroupName, [in] string OldTemplateName, [in] string NewTemplateName)
| rename a template inside specified group More...
boolean | addGroup ([in] string GroupName)
| creates a new group More...
boolean | removeGroup ([in] string GroupName)
| remove an existing group More...
boolean | renameGroup ([in] string OldGroupName, [in] string NewGroupName)
| rename an existing group More...
void | update ()
| force an update for internal structures More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a high level API to organize document templates

Template information is saved as links to the original content and organized in groups. This data should be persistent and can be updated by calling special method XDocumentTemplates::update(). A real implementation of this interface can do that on top of a ucb content provider. Method XDocumentTemplates::getContent() force that.

## Member Function Documentation

## ◆ addGroup()

boolean addGroup | ( | [in] string | GroupName | ) |

creates a new group

Parameters

  GroupName | the name of the group to be created

Returns
  `TRUE` if operation was successful
  `FALSE` otherwise

## ◆ addTemplate()

boolean addTemplate | ( | [in] string | GroupName,
|  | [in] string | TemplateName,
|  | [in] string | SourceURL
| ) |  |

creates the template with the given name in the given group using the given URL

Parameters

  GroupName | specifies the group
  TemplateName | specifies the template
  SourceURL | specifies the position of template

Returns
  `TRUE` if operation was successful
  `FALSE` otherwise

See also
  XDocumentTemplates::storeTemplate()

## ◆ getContent()

com::sun::star::ucb::XContent getContent | ( |  | ) |

provides access to the root of internal used hierarchy

This content can be used for accessing the groups directly.

Returns
  the ucb content for template configuration

## ◆ removeGroup()

boolean removeGroup | ( | [in] string | GroupName | ) |

remove an existing group

Parameters

  GroupName | the name of the group to be removed

Returns
  `TRUE` if operation was successful
  `FALSE` otherwise

## ◆ removeTemplate()

boolean removeTemplate | ( | [in] string | GroupName,
|  | [in] string | TemplateName
| ) |  |

remove a template from specified group

Parameters

  GroupName | specifies the group which include the template
  TemplateName | specifies the template for delete

Returns
  `TRUE` if operation was successful
  `FALSE` otherwise

## ◆ renameGroup()

boolean renameGroup | ( | [in] string | OldGroupName,
|  | [in] string | NewGroupName
| ) |  |

rename an existing group

Parameters

  OldGroupName | the old name of the group
  NewGroupName | the new name of the group

Returns
  `TRUE` if operation was successful
  `FALSE` otherwise

## ◆ renameTemplate()

boolean renameTemplate | ( | [in] string | GroupName,
|  | [in] string | OldTemplateName,
|  | [in] string | NewTemplateName
| ) |  |

rename a template inside specified group

Parameters

  GroupName | specifies the group which include the template
  OldTemplateName | specifies the template for renaming
  NewTemplateName | specifies the new name for the template

Returns
  `TRUE` if operation was successful
  `FALSE` otherwise

## ◆ storeTemplate()

boolean storeTemplate | ( | [in] string | GroupName,
|  | [in] string | TemplateName,
|  | [in] XStorable | Storable
| ) |  |

creates the template with the given name in the given group using the data from the storable

Parameters

  GroupName | specifies the group
  TemplateName | specifies the template
  Storable | specifies the target

Returns
  `TRUE` if operation was successful
  `FALSE` otherwise

See also
  XDocumentTemplates::addTemplate()

## ◆ update()

void update | ( |  | ) |

force an update for internal structures

Because the templates are well known by links and not as direct content they can be outdated. An update force actualization of that to find wrong links.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDocumentTemplates.idl